package com.xisc.pm.infra.enums;

/**
 * 产线配置表
 * @author jun.zeng
 *
 */
public enum LineNoEnums {
    
    LINE_NO_0010("0010" , "10" , "00"),
    LINE_NO_0020("0020" , "20" , "00"),
    LINE_NO_0030("0030" , "30" , "00"),
    
    LINE_NO_1010("1010" , "10" , "10"),
    LINE_NO_1020("1020" , "20" , "10"),
    LINE_NO_1030("1030" , "30" , "10");
    
    private LineNoEnums(String mscLineNo, String rollLineNo, String steelPl) {
        this.mscLineNo = mscLineNo;
        this.rollLineNo = rollLineNo;
        this.steelPl = steelPl;
    }
    
    public static LineNoEnums getByMscLineNo(String mscLineNo) {
        for (LineNoEnums lineNoEnums : LineNoEnums.values()) {
            if(lineNoEnums.getMscLineNo().equals(mscLineNo)) {
                return lineNoEnums;
            }
        }
        return null;
    }

    // 设计产线号
    private String mscLineNo ;
    
    // 轧制产线号
    private String rollLineNo ;
    
    // 炼钢设计产线
    private String steelPl;

    /**
     * @return the mscLineNo
     */
    public String getMscLineNo() {
        return mscLineNo;
    }

    /**
     * @param mscLineNo the mscLineNo to set
     */
    public void setMscLineNo(String mscLineNo) {
        this.mscLineNo = mscLineNo;
    }

    /**
     * @return the rollLineNo
     */
    public String getRollLineNo() {
        return rollLineNo;
    }

    /**
     * @param rollLineNo the rollLineNo to set
     */
    public void setRollLineNo(String rollLineNo) {
        this.rollLineNo = rollLineNo;
    }

    /**
     * 炼钢产线
     * @return the steelPl
     */
    public String getSteelPl() {
        return steelPl;
    }

    /**
     * @param steelPl the steelPl to set
     */
    public void setSteelPl(String steelPl) {
        this.steelPl = steelPl;
    }
    
}
